# Heroku_Status
[![Build Status](https://travis-ci.org/joerodrig/heroku_status.svg?branch=master)](https://travis-ci.org/joerodrig/heroku_status)

The heroku_status gem is meant to be a simple way to query the [Heroku Status API](https://status.heroku.com/)

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'heroku_status'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install heroku_status

## Usage

Require the gem in any files you're using it in:  
`require "heroku_status"`

Retrieve the current issue status:  
`HerokuStatus.current_status`

Retrieve the issue status for a particular issue:  
`HerokuStatus.issue(1)`

Retrieve a range of issues, organized by date and paginated:  
`HerokuStatus.issues({since: "2012-04-24", limit: 1})`

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/heroku_status. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Heroku::Status project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/heroku_status/blob/master/CODE_OF_CONDUCT.md).
